#include<stdio.h>
#include<math.h>
double func(double);
void main(void){
FILE *str;
int i;
double x,y,step;
str=fopen("res.dat","w");
for(i=0,step=2*M_PI/100;i<100;i++){x=step*i; y=func(x);
                                   fprintf(str,"%e  %e\n",x,y);
}
fclose(str);
}
 
double func(double t){return sin(t*t)*exp(-t); }
